-- Customer specific once-script PNBR#33787.sql 
-- Update alle meldingen binnen de c-toren (=key 4021)
-- naar ruimte in hoofdgebouw verd 3 ruimte 000 (=key 4561)

SET ECHO ON
SPOOL xPNBR#33787.lst
SET DEFINE OFF

UPDATE   mld_melding
   SET   mld_alg_onroerendgoed_keys = 4561
 WHERE   mld_melding_key IN
               (SELECT   mld_melding_key
                  FROM   mld_melding m, alg_v_allonroerendgoed a
                 WHERE   mld_melding_status NOT IN (1, 5, 6, 7)
                         AND a.alg_onroerendgoed_keys =
                               m.mld_alg_onroerendgoed_keys
                         AND a.alg_gebouw_key = 4021);
COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/
COMMIT;

SPOOL OFF